Package opennlp.tools.formats.ad

# Class ADSentenceStream.SentenceParser

java.lang.Object
opennlp.tools.formats.ad.ADSentenceStream.SentenceParser

Enclosing class:
  `ADSentenceStream`

public static class ADSentenceStream.SentenceParser extends Object
Parses a sample of AD corpus. A sentence in AD corpus is represented by a Tree. In this class we declare some types to represent that tree. Today we get only the first alternative (A1).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ADSentenceStream.SentenceParser.Leaf`
  Represents the AD leaf
  `static class`
  `ADSentenceStream.SentenceParser.Node`
  Represents the AD node
  `static class`
  `ADSentenceStream.SentenceParser.TreeElement`
  Represents a tree element, Node or Leaf

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentenceParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ADSentenceStream.SentenceParser.TreeElement`
  `getElement(String line)`
  Parse a tree element from a AD line
  `ADSentenceStream.Sentence`
  `parse(String sentenceString, int para, boolean isTitle, boolean isBox)`
  Parses a sentence string into a `ADSentenceStream.Sentence`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentenceParser

    public SentenceParser()

- ## Method Details

  - ### parse

    public ADSentenceStream.Sentence parse(String sentenceString, int para, boolean isTitle, boolean isBox)
    Parses a sentence string into a `ADSentenceStream.Sentence`.
    Parameters:
      `sentenceString` - The input string to parse.
      `para` - The parameter number.
      `isTitle` - `true` if it represents a title element, `false` otherwise.
      `isBox` - `true` if it represents a box element, `false` otherwise.
    Returns:
      A `ADSentenceStream.Sentence` instance parsed from `sentenceString`.

  - ### getElement

    public ADSentenceStream.SentenceParser.TreeElement getElement(String line)
    Parse a tree element from a AD line
    Parameters:
      `line` - the AD line
    Returns:
      the tree element